$(document).ready(function() {
  //註冊表單建構防機器人
  $("#regform .form-group #submitButton,#userinfo #submitButton").attr('disabled', true).before("<div id='notarobotboxname3' name='3'><div id='notarobotbox3'></div></div>");
  if ($("[name=op]").val() == 'finish') {
    $("#XOOPS_TOKEN_REQUEST").attr('disabled', true).before("<div id='notarobotboxname3' name='3'><div id='notarobotbox3'></div></div>");
  }
  //判斷區塊是否存在
  if ((typeof($("#notarobotboxname1").attr("name")) == 'undefined' || $("#notarobotboxname1").attr("name") != 1) && (typeof($("#notarobotboxname2").attr("name")) == 'undefined' || $("#notarobotboxname2").attr("name") != 2) && (typeof($("#notarobotboxname3").attr("name")) == 'undefined' || $("#notarobotboxname3").attr("name") != 3) && (typeof($("#notarobotboxname4").attr("name")) == 'undefined' || $("#notarobotboxname4").attr("name") != 4) && (typeof($("#notarobotboxname5").attr("name")) == 'undefined' || $("#notarobotboxname5").attr("name") != 5)) return false;
  //按鈕觸發-綁定CLASS.updaterobotbtn
  $("body").on("click", ".updaterobotbtn", function() {
    setTimeout(function() {
      ajaxfunctiontime();
      $('.updaterobotbtn').attr('disabled', true);
    }, 1500);
  })
  //我不是機器人-檔案下載
  $("body").on("change", ".notarobot1", function() {
    $(".updaterobotbtn").attr('disabled', false);
  })
  //防重複提交表單-註冊表單
  $("body").on("click", "#submitButton", function() {
    $(this).hide();
  })
  //時間寫入
  ajaxfunctiontime();
  $("body").on("click", "[name=mycheck]", function() {
    var ajaxmyVar = setInterval(function() {
      ajaxfunctiontime();
     $('.updaterobotbtn').attr('disabled', true);
     $('.contentbtn').attr('disabled', true);   
       clearInterval(ajaxmyVar);          
    }, 30000); //30000
    //AJAX->增加.deletetimebtn按鈕移除時間	  
    $("body").on("click", ".deletetimebtn", function() {
      clearInterval(ajaxmyVar);
    })
  })
  //時間寫入
  function ajaxfunctiontime() {
    $.ajax({
      url: xoopsjsurl + '/modules/neillibrary/ajax.php',
      type: 'POST',
      data: {
        id: 145
      },
      success: function(response) {
        if ($("#notarobotboxname1").attr("name")) ajaxfunction($var1 = $("#notarobotboxname1").attr("name"));
        if ($("#notarobotboxname2").attr("name")) ajaxfunction($var1 = $("#notarobotboxname2").attr("name"));
        if ($("#notarobotboxname3").attr("name")) ajaxfunction($var1 = $("#notarobotboxname3").attr("name"));
        if ($("#notarobotboxname4").attr("name")) ajaxfunction($var1 = $("#notarobotboxname4").attr("name"));
        if ($("#notarobotboxname5").attr("name")) ajaxfunction($var1 = $("#notarobotboxname5").attr("name"));
      },
      error: function() {
        console.log('ajax error!');
      }
    })
    return true;
  }

  function ajaxfunction($var1) {  	 

   $.ajax({
      url: xoopsjsurl + '/modules/neillibrary/ajax.php',
      type: 'POST',
      data: {
        id: 125,
        var1: $var1,
        var2: (typeof($("#notarobotbox"+$var1+"").attr("name")) == 'undefined') ? "" : $("#notarobotbox"+$var1+"").attr("name")
      },
      success: function(response) {
        $('#notarobotbox' + $var1 + '').html(response);
      },
      error: function() {
        console.log('ajax error!');
      }
    })
  }
});